#include "step_audiostoprecord.h"
#include "..\BoardDLLs\brd_generic.h"

StepAudioStopRecord::StepAudioStopRecord(STEPREC& stepRecord) : Step(stepRecord)
{
}

StepAudioStopRecord::~StepAudioStopRecord(void)
{
}

const char* StepAudioStopRecord::GetStepName(void) const
{
	return("Stop Record");
}

IV_STATUS StepAudioStopRecord::Execute(PIVRINFO pInfo)
{
   if(Status(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FAIL);
   }

	if(PortRequired(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FATAL);
   }

   return(pInfo->ivBoard->AudioStopRecord());
}
