#ifndef STEP_FINCALC_H
#define STEP_FINCALC_H

#include "step.h"
#include "iv_math2.h"

class StepFinCalc : public Step
{
   public:

      StepFinCalc(STEPREC& stepRecord);
      virtual ~StepFinCalc(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string result;
      string annualIntRate;
      string mortgageAmt;
      string grossIncome;
      FINCALC_FN iFn;
};

#endif

