#include "step_flushdigits.h"
#include "..\BoardDLLs\brd_generic.h"

StepFlushDigits::StepFlushDigits(STEPREC& stepRecord) : Step(stepRecord)
{
}

StepFlushDigits::~StepFlushDigits(void)
{
}

const char* StepFlushDigits::GetStepName(void) const
{
	return("Clear TT");
}

IV_STATUS StepFlushDigits::Execute (PIVRINFO pInfo)
{
   if(Status(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FAIL);
   }

	if(PortRequired(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FATAL);
   }

   pInfo->ivBoard->FlushDigits();

   return(IVR_SUCCESS);
}
