#include "step_reloadon.h"

StepReloadOn::StepReloadOn(STEPREC& stepRecord) : Step(stepRecord)
{
}

StepReloadOn::~StepReloadOn(void)
{
}

const char* StepReloadOn::GetStepName(void) const
{
	return("Reload On");
}

IV_STATUS StepReloadOn::Execute(PIVRINFO pInfo)
{
   if(Status(pInfo) != IVR_SUCCESS)
   {
      return(IVR_FAIL);
   }

   pInfo->safeToShutdown = true;

   return IVR_SUCCESS;
}
