#ifndef STEP_VOCRECGETDIGITS_H
#define STEP_VOCRECGETDIGITS_H

#include "step.h"

class StepVocRecGetDigits : public Step
{
   public:

      StepVocRecGetDigits(STEPREC& stepRecord);
      virtual ~StepVocRecGetDigits(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string noVoiceTimeout;
      string thresholdConfidence;	// Minimum confidence % to accept digits
      string confidenceVar;			// Variable to receive confidence %
      string resultVar;					// Variable to receive digits spoken
      string handleVar;           // Variable to receive SR handle
      bool retainAudioOnThreshold;

      void InterpretNumberSpeak(char* string);
};

#endif
