#ifndef STEP_VOCRECGETSTRING_H
#define STEP_VOCRECGETSTRING_H

#include "step.h"

class StepVocRecGetString : public Step
{
   public:

      StepVocRecGetString(STEPREC& stepRecord);
      virtual ~StepVocRecGetString(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string grammar;
      string grammarText;
      string noVoiceTimeout;
      string thresholdConfidence;
      string confidenceVar;
      string resultVar;
      string handleVar;           // Variable to receive SR handle
      bool retainAudioOnThreshold;
};

#endif
