//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "TFSimulator_logsize.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TLogSizeForm *LogSizeForm;
//---------------------------------------------------------------------------
__fastcall TLogSizeForm::TLogSizeForm(TComponent* Owner)
   : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TLogSizeForm::SetLogSize(DWORD logSize)
{
   LogSizeEdit->Text = logSize;
}
//---------------------------------------------------------------------------
DWORD __fastcall TLogSizeForm::GetLogSize(void)
{
   return(atoi(LogSizeEdit->Text.c_str()));
}
//---------------------------------------------------------------------------
void __fastcall TLogSizeForm::LogSizeEditExit(TObject *Sender)
{
	int value = LogSizeEdit->Text.ToIntDef(-1);

   if(value < 50)
   {
   	Application->MessageBox("Value must a valid integer >= 50",
      	"Maximum Log File Size", MB_OK | MB_ICONERROR);

      // Set to default
      LogSizeEdit->Text = "500";

      // Set cursor to LogSizeEdit field
		FocusControl(LogSizeEdit);
   }
}
