#ifdef _MSC_VER
#include <limits>
#endif
#include <stdlib.h>
#include <time.h>
#include "random.h"

int Random(int num)
{
#ifdef _MSC_VER
   int numSegments = std::numeric_limits<int>::max() / RAND_MAX;
   int randSegment = (rand() % numSegments);
   int randValue = RAND_MAX * (randSegment);
   randValue = randValue + rand();
   return (randValue % num);
#else
   return num == 0 ? 0 : (_lrand() % num);
#endif
}

void Randomize(unsigned int seedFactor)
{
   time_t currentTime;
   time(&currentTime);
   srand((unsigned int) seedFactor*currentTime);
   rand();
}