#include "SMTPTransaction.h"

SMTPTransaction::SMTPTransaction(Log* outLog, bool persistant) : InternetMessageTCPTransaction(outLog, persistant)
{
   request = new SMTPRequest;
   response = new SMTPResponse;
}

SMTPTransaction::SMTPTransaction(Log* outLog, ACE_HANDLE handle) : InternetMessageTCPTransaction(outLog, handle)
{
}

SMTPTransaction::~SMTPTransaction(void)
{
   delete request;
   delete response;
}

SMTPRequest* SMTPTransaction::Request(void)
{
   return((SMTPRequest*) request);
}

SMTPResponse* SMTPTransaction::Response(void)
{
   return((SMTPResponse*) response);
}

