@echo OFF
REM ----------------------------------------------------------------------------
REM // TeleFlow Open Server
REM //
REM // Copyright (C) 2008 engenic (engenic.com)
REM //
REM // This program is free software; you can redistribute it and/or modify
REM // it under the terms of the GNU General Public License as published by
REM // the Free Software Foundation; either version 2 of the License, or
REM // (at your option) any later version.
REM //
REM // This program is distributed in the hope that it will be useful,
REM // but WITHOUT ANY WARRANTY; without even the implied warranty of
REM // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
REM // GNU General Public License for more details.
REM //
REM // You should have received a copy of the GNU General Public License along
REM // with this program; if not, write to the Free Software Foundation, Inc.,
REM // 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
REM // http://www.gnu.org/copyleft/gpl.html
REM // ----------------------------------------------------------------------------

echo.
echo Building TeleFlow Open Server...
echo.
@echo on

cd escutil
make -B -fescutl.mak
make -B -fvarcontroller.mak
make -B -ftfodbc.mak
cd ..

cd inet
make -B -finet.mak
cd ..

cd xmlutil
make -B -fxmlutil.mak
cd ..

cd TFMonitor
make -B -fTFMonitor.mak
cd ..

cd TFConfig
make -B -fTFConfig.mak
cd ..

cd TFLinelist
make -B -fTFLineList.mak
cd ..

cd BoardDLLs
make -B -fbrd_dialogic.mak
make -B -fbrd_dialogic_d42.mak
make -B -fbrd_mt.mak
make -B -fbrd_simulator.mak
cd ..

cd Languages
make -B -fLang_English.mak
make -B -fLang_French.mak
make -B -fLang_Spanish.mak
cd ..

cd Voice
make -B -fVoice_LumenVox.mak
cd ..

cd TFEngine
make -B -fTFEngine.mak
cd ..

cd TFServer
make -B -fTFServer.mak
cd ..

cd TFSimulator
make -B -fTFSimulator.mak
cd ..
