#ifndef STEP_GETDIGIT_H
#define STEP_GETDIGIT_H

#include "step_tones.h"

class StepGetDigit : public StepTones
{
   public:
   
      StepGetDigit(STEPREC& stepRecord);
      virtual ~StepGetDigit(void);

		const char* GetStepName(void) const;

      IV_STATUS Execute(PIVRINFO pInfo);

   protected:

      string timeout;
      string varNm;
      string confidenceVar;
      string thresholdConfidence;
      string grammar;
      string grammarText;
      string handleVar;           // Variable to receive SR handle
      bool retainAudioOnThreshold;
      bool rememberHandle;
};

#endif
