#ifndef __SIPTRANSACTION_H__
#define __SIPTRANSACTION_H__

#ifdef __DLL__
#define SIPTRANSACTIONAPI __declspec(dllexport)
#else
#define SIPTRANSACTIONAPI __declspec(dllimport)
#endif

#include <string>
using std::string;

#include "InternetMessageUDPTransaction.h"
#include "SIPRequest.h"
#include "SIPResponse.h"

class SIPTRANSACTIONAPI SIPTransaction : public InternetMessageUDPTransaction
{
   public:

      SIPTransaction(Log* outLog, unsigned short port = Socket::ANY_PORT, bool persistant = false);
      SIPTransaction(Log* outLog, ACE_HANDLE handle);
      virtual ~SIPTransaction(void);

      virtual SIPRequest* Request(void);
      virtual SIPResponse* Response(void);
};

#endif

