#include "SMTPRequest.h"

SMTPRequest::SMTPRequest(void)
{
   text = " \r\n";
}

SMTPRequest::~SMTPRequest(void)
{
}

void SMTPRequest::AddArguments(const char* text)
{
   string::size_type endOfArguments;

   if(text == NULL)
   {
      return;
   }

   if((endOfArguments = this->text.find("\r\n")) == string::npos)
   {
      endOfArguments = this->text.length();
   }

   this->text.insert(endOfArguments, text);
}

void SMTPRequest::SetArguments(const char* text)
{
   string::size_type endOfCommand;
   string::size_type endOfArguments;

   if(text == NULL)
   {
      text = "";
   }

   if((endOfCommand = this->text.find(" ")) == string::npos)
   {
      this->text.insert(0, " \r\n");
      endOfCommand = 1;
   }
   else
   {
      endOfCommand++;
   }

   if((endOfArguments = this->text.find("\r\n")) == string::npos)
   {
      endOfArguments = this->text.length();
   }

   this->text.replace(this->text.begin() + endOfCommand, this->text.begin() + endOfArguments, text);
}

void SMTPRequest::SetCommand(const char* text)
{
   string::size_type endOfCommand;

   if(text == NULL)
   {
      text = "";
   }

   if((endOfCommand = this->text.find(" ")) == string::npos)
   {
      this->text = " \r\n";
      endOfCommand = 0;
   }

   this->text.replace(this->text.begin(), this->text.begin() + endOfCommand, text);
}

